Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the 340 and 390 series

Bug #1854485 reported by Alberto Milone on 2019-11-29
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Alberto Milone
Bionic
Medium
Alberto Milone
Eoan
Undecided
Unassigned
linux-restricted-modules (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Alberto Milone
Eoan
Medium
Alberto Milone
nvidia-graphics-drivers-340 (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Alberto Milone
Eoan
Medium
Alberto Milone
nvidia-graphics-drivers-390 (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Alberto Milone
Eoan
Medium
Alberto Milone
nvidia-graphics-drivers-440 (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Alberto Milone
Eoan
Medium
Alberto Milone
nvidia-settings (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Alberto Milone
Eoan
Medium
Alberto Milone

Bug Description

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the artifacts and console output of the appropriate run to the bug. nVidia maintainers team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

440.40:
  * New upstream release:
    - Added support for the following GPU:
        Quadro T2000 with Max-Q Design
    - Added support for the __GL_SYNC_DISPLAY_DEVICE environment
      variable for Vulkan applications.
    - Fixed a bug that caused applications running directly on a
      display (such as VR HMDs) to tear when a G-SYNC or G-SYNC
      Compatible monitor is plugged in the system.
    - Fixed a bug in an error handling path that could cause a kernel
      crash while loading nvidia.ko.
    - Fixed driver installation failure on Oracle Linux 7.7 systems,
      where the NVIDIA kernel module failed to build with error
      "unknown type name 'vm_fault_t'".
  * Changes from the 440.36 series:
    - Added support for the following GPUs:
      o GeForce GTX 1650 SUPER
      o GeForce GTX 1660 SUPER
    - Fixed graphical corruption that can occur when using glslang
      SPIR-V Generator Version <= 2.
    - Fixed a bug that could cause the X server to crash when running
      applications using GLX indirect rendering.
    - Updated the Module.symvers sanity check, which is part of the
      NVIDIA kernel module build process, to accommodate the recent
      addition of a new field in the Module.symvers file format.
      This fixes the error "The Module.symvers file is missing [...]"
      seen during driver installation or DKMS rebuilds with Linux 5.4 RC
      kernels.
    - Fixed kernel module build problems with Linux kernel 5.4.0 release
      candidates.
    - Updated nvidia-bug-report.sh to collect information about X server
      crashes from coredumpctl, when available.
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel versions.
    - Enabled parallel GLSL shader linking by default; i.e., allow
      GL_ARB_parallel_shader_compile to work without first calling
      glMaxShaderCompilerThreadsARB().
    - Added support for HDMI 2.1 variable refresh rate (VRR) G-SYNC
      Compatible monitors on supported GPUs.For more details, see
      "Configuring Multiple Display Devices on One X Screen" in the README.
      Added support for the GLX_NV_multigpu_context and GL_NV_gpu_multicast
      extensions.For more details, see the "Configuring SLI and Multi-GPU
      FrameRendering" chapter of the README, and the extension specifications:
      https://www.khronos.org/registry/OpenGL/extensions/NV/GLX_NV_multigpu_context.txt
      https://www.khronos.org/registry/OpenGL/extensions/NV/NV_gpu_multicast.txt
    - Fixed a bug that prevented Vulkan applications running on systems
      configured for SLI. Vulkan applications can now run while SLI is enabled;
      however, they will only be able to use a single GPU.
    - Simplified the nvidia-sleep.sh sample script to no longer depend on
      unreliable detection of the current VT through X server logs.
    - Added EGL support for PRIME render offload. Please see the PRIME Render
      Offload chapter in the README for configuration details.
    - Fixed a regression introduced in 435.19.02 that would cause some applications
      which use the VK_KHR_DISPLAY extension to result in a segmentation fault.
    - Enabled HardDPMS by default. See the README entry on the X configuration
      option "HardDPMS" for more information.
    - Fixed a bug which caused corruption in the following DXVK titles:
      Saints Row IV
      Saints Row: The Third
    - Added VP9 decode support to the NVIDIA VDPAU driver. See the VDPAU Support
      appendix in the README for supported VP9 decoder profiles.
    - Fixed a bug that could cause heapUsage values reported by
      VK_EXT_memory_budget to not immediately update after vkFreeMemory was
      called.
    - Changed GPU clock management strategy to more quickly ramp down clocks
      after a drop in GPU utilization.
    - Added X configuration option, "SidebandSocketPath", which controls the
      directory in which the X driver will create a pathname UNIX domain socket
      used to communicate with the NVIDIA OpenGL, Vulkan and VDPAU driver
      components.
    - The X driver will now create a fallback pathname UNIX domain socket in
      the directory specified by the "SidebandSocketPath" option, or /var/run
      by default, which will be used by other NVIDIA driver components if they
      are unable to connect to the default abstract socket.This fixes a bug
      where graphics applications run within a network namespace (which prevents
      the use of abstract sockets) were unable to take advantage of some driver
      features, such as G-Sync.
    - Fall back to system memory when video memory is full for some
      driver-internal allocations. This can help fix Xid 13 and Xid 31 cases in
      Vulkan applications when video memory is full.
    - Fixed a bug that could cause a blank screen on some DisplayPort monitors
      when logging in to GNOME, if the nvidia-drm kernel module parameter
      modeset=1 is specified.
    - Fixed a bug that prevented NVIDIA GPUs from entering the low-power D3
      state when entering suspend-to-idle (s2idle). Note that on some systems
      this may expose an existing timing issue in the Linux kernel; see the
      "Known Issues and Workarounds" section of the "Configuring Power
      Management Support" chapter of the README for more details.

390.132:
  * New upstream release (LP: #1854485):
    - Fixed kernel module build problems with Linux kernel 5.4.0
      release candidates.
    - Updated nvidia-bug-report.sh to collect information about X
      server crashes from coredumpctl, when available.
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel versions.
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Do not call pci_save_state (as the more recent driver series do).
    - Fall back on /usr/bin/gcc when cc is not available.
    - Detect and disable the fstack-clash-protection fcf-protection flags.
    - Drop buildfix_kernel_5.2.patch and buildfix_kernel_5.3.patch (now in the
      upstream release).
  * debian/templates/libnvidia-common-flavour.install.in,
    debian/templates/libnvidia-gl-flavour-dev.install.in,
    debian/templates/libnvidia-gl-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in,
    debian/templates/nvidia-driver-flavour.docs.in,
    debian/templates/nvidia-utils-flavour.install.in:
    - Remove final / from installation paths (to match the manifest file).
    - Add the StopWhenUnneeded=true field to nvidia-persistenced.
  * debian/templates/control:
    - Update to dpkg-dev (>= 1.17.11~).
    - Rearrange the cuda dependencies, and add a needed dependency on
      libnvidia-cfg1.

340.108:
  * New upstream release (LP: #1854485):
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel
      versions.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      gdm-x-session logs.
    - Fixed a bug that could prevent nvidia-xconfig from disabling
      the X Composite extension on version 1.20 of the X.org X
      server.
    - Fixed a build failure, "too many arguments to function
      'get_user_pages'", when building the NVIDIA kernel module for
      Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function
      do_gettimeofday", when building the NVIDIA kernel module for
      Linux kernel 5.0 release candidates.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop the following patches (no longer needed in 340.108):
      buildfix_kernel_5.0.patch, buildfix_kernel_5.3.patch.
    - Fall back on /usr/bin/gcc when cc is not available.
  * debian/dkms_nvidia/patches/buildfix_kernel_4.11.patch,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/use-kmem_cache_create_usercopy-on-4.16.patch,
    debian/dkms_nvidia/patches/buildfix_kernel_5.2.patch:
    - Refresh patches.
  * debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch:
    - Do not call pci_save_state (as the more recent driver series do).
    - Detect and disable the fstack-clash-protection fcf-protection flags.

nvidia-settings (440.44-0ubuntu0.18.04.1):
  * New upstream release.
  * debian/patches/13_libxnvctrl_so_0.patch:
    - Add -fPIC to the XNVCTRL_CFLAGS.
      This seems to be needed only in 18.04.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

CVE References

Changed in nvidia-graphics-drivers-440 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-440 (Ubuntu Eoan):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-440 (Ubuntu):
status: In Progress → Fix Released
Changed in nvidia-graphics-drivers-440 (Ubuntu Bionic):
status: New → In Progress
Changed in nvidia-graphics-drivers-440 (Ubuntu Eoan):
status: New → In Progress
Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: New → Fix Released
Changed in nvidia-graphics-drivers-340 (Ubuntu Bionic):
status: New → In Progress
Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
status: New → In Progress
Changed in nvidia-graphics-drivers-340 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-340 (Ubuntu Bionic):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-440 (Ubuntu Bionic):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-440 (Ubuntu Eoan):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-390 (Ubuntu):
status: New → Fix Released
Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
status: New → In Progress
Changed in nvidia-graphics-drivers-390 (Ubuntu Eoan):
status: New → In Progress
Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-390 (Ubuntu Eoan):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-390 (Ubuntu Eoan):
importance: Undecided → Medium
summary: Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to
- the 340 series
+ the 340 and 390 series
description: updated
description: updated
Changed in nvidia-settings (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
Changed in nvidia-settings (Ubuntu Eoan):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu):
status: New → Fix Released
description: updated

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-340 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/340.108-0ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-340 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/340.108-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-340 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.132-0ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-390 (Ubuntu Eoan):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.132-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/440.44-0ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Eoan):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/440.44-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

I have accepted nvidia-settings for bionic, but let's keep an eye out for any eventual breakages of reverse-dependencies of libxnvctrl0. This SRU dropped the (minor) NV_ID symbol without bumping the SONAME - Alberto asserts that it is highly unlikely to cause any problems, but just in case let's at least give a spin to these packages:

$ reverse-depends libxnvctrl0
Reverse-Depends
===============
* conky-all [amd64]
* indicator-sensors [amd64 arm64 armhf ppc64el s390x]
* libhwloc-plugins
* libmyth [amd64 arm64 armhf ppc64el s390x]
* libxnvctrl-dev
* mate-sensors-applet-nvidia [amd64 armhf]
* nvidia-settings [amd64 arm64 armhf i386 ppc64el]
* psensor [amd64]
* xfce4-sensors-plugin [amd64 arm64 armhf ppc64el s390x]

Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-440 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.44-0ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-440 (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in nvidia-graphics-drivers-440 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-440 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.44-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-440 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.59-0ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-440 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.59-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-restricted-modules (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in linux-restricted-modules (Ubuntu Eoan):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in linux-restricted-modules (Ubuntu Bionic):
importance: High → Medium
Changed in linux-restricted-modules (Ubuntu Eoan):
importance: High → Medium
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-440 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.59-0ubuntu0.19.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) on 2020-03-04
Changed in linux-restricted-modules (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → Triaged
Changed in linux (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-restricted-modules (Ubuntu Bionic):
status: In Progress → Fix Committed
Alberto Milone (albertomilone) wrote :

To sum it up: only -340 in Eoan failed, whereas the rest passed our tests.

All autopkgtests for the newly accepted nvidia-graphics-drivers-390 (390.132-0ubuntu0.18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

nvidia-graphics-drivers-390/390.132-0ubuntu0.18.04.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#nvidia-graphics-drivers-390

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted nvidia-graphics-drivers-390 (390.132-0ubuntu0.19.10.1) for eoan have finished running.
The following regressions have been reported in tests triggered by the package:

nvidia-graphics-drivers-390/390.132-0ubuntu0.19.10.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/eoan/update_excuses.html#nvidia-graphics-drivers-390

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Alberto Milone (albertomilone) wrote :

Here is a full summary of the verification tests:

== Drivers in Bionic ==

passed: -340, -390, -440
failed: none

== Drivers in Eoan ==

passed: -390, -440
failed: -340

Stefan Bader (smb) wrote :

I am adding the block-proposed-bionic before this falls in between cracks. Right now we ended up in a situation where the nvidia-440 modules were added to the kernel lrm package build but the version used for the nvidia-390 modules was not updated to the proposed version. The hope is that having the meta from the driver package held back in proposed is less risk than releasing user-space for everything and not having the right modules in lrm.

tags: added: block-proposed-bionic
Changed in linux-restricted-modules (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (27.7 KiB)

This bug was fixed in the package linux - 4.15.0-96.97

---------------
linux (4.15.0-96.97) bionic; urgency=medium

  * CVE-2020-8834
    - KVM: PPC: Book3S HV: Factor fake-suspend handling out of
      kvmppc_save/restore_tm
    - KVM: PPC: Book3S PR: Move kvmppc_save_tm/kvmppc_restore_tm to separate file
    - KVM: PPC: Book3S PR: Add guest MSR parameter for
      kvmppc_save_tm()/kvmppc_restore_tm()

linux (4.15.0-94.95) bionic; urgency=medium

  * bionic/linux: 4.15.0-94.95 -proposed tracker (LP: #1868984)

  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

linux (4.15.0-93.94) bionic; urgency=medium

  * bionic/linux: 4.15.0-93.94 -proposed tracker (LP: #1868764)

  * quotactl04 from ubuntu_ltp_syscalls failed with B (LP: #1868665)
    - ext4: fix mount failure with quota configured as module

linux (4.15.0-92.93) bionic; urgency=medium

  * bionic/linux: 4.15.0-92.93 -proposed tracker (LP: #1867272)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the
    340 and 390 series (LP: #1854485)
    - [Packaging] NVIDIA -- add support for the 435 and the 440 series

  * Stop using get_scalar_status command in Dell AIO uart backlight driver
    (LP: #1865402)
    - SAUCE: platform/x86: dell-uart-backlight: add get_display_mode command

  * Bionic update: upstream stable patchset 2020-03-12 (LP: #1867194)
    - RDMA/core: Fix locking in ib_uverbs_event_read
    - gpio: zynq: Report gpio direction at boot
    - arm64: ptrace: nofpsimd: Fail FP/SIMD regset operations
    - KVM: arm: Fix DFSR setting for non-LPAE aarch32 guests
    - KVM: arm: Make inject_abt32() inject an external abort instead
    - mtd: onenand_base: Adjust indentation in onenand_read_ops_nolock
    - mtd: sharpslpart: Fix unsigned comparison to zero
    - padata: fix null pointer deref of pd->pinst
    - Input: synaptics - switch T470s to RMI4 by default
    - Input: synaptics - enable SMBus on ThinkPad L470
    - Input: synaptics - remove the LEN0049 dmi id from topbuttonpad list
    - ALSA: hda/realtek - Fix silent output on MSI-GL73
    - ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
    - arm64: cpufeature: Set the FP/SIMD compat HWCAP bits properly
    - ALSA: usb-audio: sound: usb: usb true/false for bool return type
    - ext4: don't assume that mmp_nodename/bdevname have NUL
    - ext4: fix support for inode sizes > 1024 bytes
    - ext4: fix checksum errors with indexed dirs
    - ext4: add cond_resched() to ext4_protect_reserved_inode
    - ext4: improve explanation of a mount failure caused by a misconfigured
      kernel
    - Btrfs: fix race between using extent maps and merging them
    - btrfs: ref-verify: fix memory leaks
    - btrfs: print message when tree-log replay starts
    - btrfs: log message when rw remount is attempted with unclean tree-log
    - arm64: ssbs: Fix context-switch when SSBS is present on all CPUs
    - perf/x86/amd: Add missing L2 misses event spec to AMD Family 17h's ev...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules - 4.15.0-96.97

---------------
linux-restricted-modules (4.15.0-96.97) bionic; urgency=medium

  * Master version: 4.15.0-96.97

 -- Thadeu Lima de Souza Cascardo <email address hidden> Tue, 31 Mar 2020 23:28:45 -0300

Changed in linux-restricted-modules (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.3.0-51.44

---------------
linux (5.3.0-51.44) eoan; urgency=medium

  * CVE-2020-11884
    - SAUCE: s390/mm: fix page table upgrade vs 2ndary address mode accesses

 -- Thadeu Lima de Souza Cascardo <email address hidden> Wed, 22 Apr 2020 17:35:41 -0300

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules - 5.3.0-51.44

---------------
linux-restricted-modules (5.3.0-51.44) eoan; urgency=medium

  * Master version: 5.3.0-51.44

 -- Thadeu Lima de Souza Cascardo <email address hidden> Wed, 22 Apr 2020 18:17:10 -0300

Changed in linux-restricted-modules (Ubuntu Eoan):
status: Fix Committed → Fix Released
tags: added: verification-done-bionic verification-done-eoan
removed: block-proposed-bionic verification-needed verification-needed-bionic verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

Ok, talked with Alberto and confirmed that -340 on eoan is still broken, so we decided to drop -340 there and release the rest.

The version of nvidia-graphics-drivers-340 in the proposed pocket of Eoan that was purported to fix this bug report has been removed because one or more bugs that were to be fixed by the upload have failed verification and been in this state for more than 10 days.

Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
status: Fix Committed → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-390 - 390.132-0ubuntu0.19.10.1

---------------
nvidia-graphics-drivers-390 (390.132-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release (LP: #1854485):
    - Fixed kernel module build problems with Linux kernel 5.4.0
      release candidates.
    - Updated nvidia-bug-report.sh to collect information about X
      server crashes from coredumpctl, when available.
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel
      versions.
  * debian/templates/dkms_nvidia.conf.in:
    - Fall back on gcc when cc is not available.

 -- Alberto Milone <email address hidden> Fri, 13 Dec 2019 10:57:22 +0100

Changed in nvidia-graphics-drivers-390 (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for nvidia-graphics-drivers-390 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 440.44-0ubuntu0.19.10.1

---------------
nvidia-settings (440.44-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release (LP: #1854485).
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <email address hidden> Wed, 29 Jan 2020 12:13:52 +0100

Changed in nvidia-settings (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-440 - 440.59-0ubuntu0.19.10.2

---------------
nvidia-graphics-drivers-440 (440.59-0ubuntu0.19.10.2) eoan; urgency=medium

  * debian/templates/libnvidia-gl-flavour.preinst.in,
    debian/templates/nvidia-compute-utils-flavour.postrm.in,
    debian/templates/nvidia-compute-utils-flavour.preinst.in,
    debian/templates/nvidia-compute-utils-flavour.prerm.in,
    debian/templates/nvidia-dkms-flavour.postinst.in,
    debian/templates/nvidia-dkms-flavour.postrm.in,
    debian/templates/nvidia-dkms-flavour.preinst.in,
    debian/templates/nvidia-dkms-flavour.prerm.in,
    debian/templates/nvidia-driver-flavour.docs.in,
    debian/templates/nvidia-kernel-common-flavour.postinst.in,
    debian/templates/nvidia-kernel-common-flavour.postrm.in:
    - Update templates for the new release (fixes FTBFS).
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Update to use fstack clash protection.
  * debian/templates/nvidia-compute-utils-flavour.postinst.in:
    - Remove the path to nologin (since the correct one is used by default).

nvidia-graphics-drivers-440 (440.59-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release:
    - Disabled frame rate limiting for configurations without active
      displays when HardDPMS is enabled.
    - Restricted the maximum number of GPU Screens to one GPU Screen
      per GPU device, to prevent X from crashing when more than one
      GPU Screen is configured for a single GPU device.
    - Fixed a bug that could cause the X server to crash while
      exiting DPMS with HardDPMS enabled.
    - Added support for audio over DisplayPort Multi-Stream. This
      support requires Linux kernel version 5.5 or newer.
    - Updated the NVIDIA driver to allow NVIDIA High Definition Audio
      (HDA) controllers to respond to display hotplug events while
      the HDA is runtime-suspended.
    - Fixed a bug that caused DXVK titles to endlessly loop during
      shader compilation if no OpSource instruction was present.
    - Add PRIME Synchronization support for Linux kernel 5.4 and
      newer.

nvidia-graphics-drivers-440 (440.44-0ubuntu0.19.10.1) eoan; urgency=medium

  * Initial release (LP: #1854485).

 -- Alberto Milone <email address hidden> Mon, 02 Mar 2020 14:48:42 +0100

Changed in nvidia-graphics-drivers-440 (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-340 - 340.108-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-340 (340.108-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1854485):
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel
      versions.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      gdm-x-session logs.
    - Fixed a bug that could prevent nvidia-xconfig from disabling
      the X Composite extension on version 1.20 of the X.org X
      server.
    - Fixed a build failure, "too many arguments to function
      'get_user_pages'", when building the NVIDIA kernel module for
      Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function
      do_gettimeofday", when building the NVIDIA kernel module for
      Linux kernel 5.0 release candidates.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop the following patches (no longer needed in 340.108):
      buildfix_kernel_5.0.patch, buildfix_kernel_5.3.patch.
    - Fall back on /usr/bin/gcc when cc is not available.
  * debian/dkms_nvidia/patches/buildfix_kernel_4.11.patch,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/use-kmem_cache_create_usercopy-on-4.16.patch,
    debian/dkms_nvidia/patches/buildfix_kernel_5.2.patch:
    - Refresh patches.
  * debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch:
    - Do not call pci_save_state (as the more recent driver series do).
    - Detect and disable the fstack-clash-protection fcf-protection flags.

 -- Alberto Milone <email address hidden> Mon, 27 Jan 2020 16:53:38 +0100

Changed in nvidia-graphics-drivers-340 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-390 - 390.132-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-390 (390.132-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1854485):
    - Fixed kernel module build problems with Linux kernel 5.4.0
      release candidates.
    - Updated nvidia-bug-report.sh to collect information about X
      server crashes from coredumpctl, when available.
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel versions.
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Do not call pci_save_state (as the more recent driver series do).
    - Fall back on /usr/bin/gcc when cc is not available.
    - Detect and disable the fstack-clash-protection fcf-protection flags.
    - Drop buildfix_kernel_5.2.patch and buildfix_kernel_5.3.patch (now in the
      upstream release).
  * debian/templates/libnvidia-common-flavour.install.in,
    debian/templates/libnvidia-gl-flavour-dev.install.in,
    debian/templates/libnvidia-gl-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in,
    debian/templates/nvidia-driver-flavour.docs.in,
    debian/templates/nvidia-utils-flavour.install.in:
    - Remove final / from installation paths (to match the manifest file).
    - Add the StopWhenUnneeded=true field to nvidia-persistenced.
  * debian/templates/control:
    - Update to dpkg-dev (>= 1.17.11~).
    - Rearrange the cuda dependencies, and add a needed dependency on
      libnvidia-cfg1.

 -- Alberto Milone <email address hidden> Mon, 27 Jan 2020 12:51:15 +0100

Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 440.44-0ubuntu0.18.04.1

---------------
nvidia-settings (440.44-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1854485).
  * debian/patches/13_libxnvctrl_so_0.patch:
    - Add -fPIC to the XNVCTRL_CFLAGS.
      This seems to be needed only in 18.04.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <email address hidden> Wed, 29 Jan 2020 12:34:53 +0100

Changed in nvidia-settings (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
status: Won't Fix → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-440 - 440.59-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-440 (440.59-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release:
    - Disabled frame rate limiting for configurations without active
      displays when HardDPMS is enabled.
    - Restricted the maximum number of GPU Screens to one GPU Screen
      per GPU device, to prevent X from crashing when more than one
      GPU Screen is configured for a single GPU device.
    - Fixed a bug that could cause the X server to crash while
      exiting DPMS with HardDPMS enabled.
    - Added support for audio over DisplayPort Multi-Stream. This
      support requires Linux kernel version 5.5 or newer.
    - Updated the NVIDIA driver to allow NVIDIA High Definition Audio
      (HDA) controllers to respond to display hotplug events while
      the HDA is runtime-suspended.
    - Fixed a bug that caused DXVK titles to endlessly loop during
      shader compilation if no OpSource instruction was present.
    - Add PRIME Synchronization support for Linux kernel 5.4 and
      newer.

nvidia-graphics-drivers-440 (440.44-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1854485).

 -- Alberto Milone <email address hidden> Fri, 07 Feb 2020 16:56:48 +0100

Changed in nvidia-graphics-drivers-440 (Ubuntu Bionic):
status: Fix Committed → Fix Released
pietro dallabetta (pdbetta) wrote :

Hi Alberto,
can I use lutris/fortnite wil my NVIDIA 340.108 on ubuntu?

I have failed the first time since the Volkan version was not updated.

Thanks.

Regards,
Pietro

Brian Murray (brian-murray) wrote :

The Eoan Ermine has reached end of life, so this bug will not be fixed for that release

Changed in nvidia-graphics-drivers-340 (Ubuntu Eoan):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers